#!/bin/bash

#   FILE: add_doctype.sh -- 
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 04 November 2000
#
# Copyright (C) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

IN=$1
OUT=$2
USAGE="Usage: ${0##*/} in out"

if [ $# != 2 ]; then
	echo $USAGE > /dev/stderr
	exit 1
fi

sed -e '1a\
<!DOCTYPE article PUBLIC "-//Norman Walsh//DTD DocBk XML V3.1.3//EN" \
                         "http://nwalsh.com/docbook/xml/3.1.3/docbookx.dtd">' \
< $IN > $OUT
